
//
// Client.cs
//    Simple COM+ client application for testing.
//
// Author:
//    Tomas Restrepo (tomasr@mvps.org)
//


using System;
using System.Diagnostics;
using System.EnterpriseServices;

namespace Winterdom.EnterpriseServices.Samples
{
   public class Client
   {
      public static void Main()
      {
         IServerApp server = new ServerApp();
         Console.WriteLine(server.GetHostInfo());
         Console.WriteLine("-> This should be the same as the CustomSurrogate.exe instance");
         Console.WriteLine("Just Checking... TxID: " + server.GetTransactionId());
         ServicedComponent.DisposeObject((ServicedComponent)server);
      } 

   } // class Client

} // namespace Winterdom.EnterpriseServices.Samples

